#!/bin/bash

# agregar un archivo para HACER STDIN y elegir entre eso y repite
# repite.sh se usa para asegurar que no se detenga si pide input en forma inesperada y mete solo enter
function testeo {
    echo #################### TEST $1 ##########################
 #   if test 1 == "$6" ; then 
     cd "$2"
     TEST="$1"
     FILES="$3"
     rm -rf test$TEST; mkdir test$TEST;
     for FILE in $FILES; do
	 if test x != x"$4" ; then
	     mkdir -p  test$TEST/$4
	     #echo DIR test$TEST/$4
	 fi
	 cp $FILE test$TEST/$FILE
	 #echo cp $FILE test$TEST/$FILE
     done
     cd test$TEST
     echo "scripts/simplot.pl  $5"
     ../scripts/repite.sh |../scripts/simplot  $5 >STDOUT.log 2>STDERR.log
     ################################ ojo poner exit -1; para que esto funcione en simplot.pl
     if test x$? == x0 ; then
         echo FIN TEST$TEST OK, $?
	 echo OK > OK.log
     else
	 MAL=$?
         echo ERROR TEST$TEST MAL, exit, $MAL
   	 echo "ERROR $MAL" > ERROR.log
	 exit;
     fi

#    fi
}

#################################################################################################################

DIR=`pwd`;
if [ 1 -eq 2 ]
then
  echo K  
fi;
testeo 01 "$DIR" "colectorsimple2.caj colectorsimple2.tvar colectorsimple2.simul  colectorsimple2_1.simul"                      ""         "-noclas            -graf=2 colectorsimple2.caj" 
testeo 02 "$DIR" "colectorsimple2.caj colectorsimple2.simul"                      ""         "-noclas -outdir=XX -graf=2 colectorsimple2.caj"
testeo 03 "$DIR" "colectorsimple2.caj colectorsimple2.simul"                      ""         "                   -graf=2 colectorsimple2.caj" 
testeo 04 "$DIR" "colectorsimple2.caj colectorsimple2.simul"                      ""         "        -outdir=XX -graf=2 colectorsimple2.caj"
testeo 05 "$DIR" "colectorsimple2.caj colectorsimple2.simul"                      ""         "-noclas            -graf=3 colectorsimple2.caj" 
testeo 06 "$DIR" "colectorsimple2.caj colectorsimple2.simul"                      ""         "-noclas -outdir=XX -graf=3 colectorsimple2.caj"
testeo 07 "$DIR" "colectorsimple2.caj colectorsimple2.simul"                      ""         "                   -graf=3 colectorsimple2.caj" 
testeo 08 "$DIR" "colectorsimple2.caj colectorsimple2.simul"                      ""         "        -outdir=XX -graf=3 colectorsimple2.caj"
testeo 09 "$DIR" "prueba.simul"                                                   ""         "-noclas -outdir=XX -graf=2 prueba.simul"
testeo 10 "$DIR" "prueba.simul"                                                   ""         "        -outdir=XX -graf=2 prueba.simul"
testeo 11 "$DIR" "tests/prueba.paraplot prueba.simul"                             "tests"    "        -outdir=XX -graf=2 tests/prueba.paraplot"
testeo 12 "$DIR" "tests/prueba.paraplot prueba.simul"                             "tests"    "                   -graf=2 tests/prueba.paraplot"
testeo 13 "$DIR" "tests/prueba.paraplot prueba.simul"                             "tests"    "                   -graf=2 prueba.paraplot"
testeo 14 "$DIR" "subdir/colectorsimple2.caj subdir/colectorsimple2.simul"        "subdir"   "                   -graf=2 subdir/colectorsimple2.caj"
testeo 15 "$DIR" "subdir/colectorsimple2.caj subdir/colectorsimple2.simul"        "subdir"   "        -outdir=XX -graf=2 subdir/colectorsimple2.caj"
testeo 16 "$DIR" "subdir/colectorsimple2.caj subdir/colectorsimple2.simul"        "subdir"   "-noclas -outdir=XX -graf=2 subdir/colectorsimple2.caj"
testeo 17 "$DIR" "colrer.paraplot colectorsimple2.simul colectorsimple2_1.simul"  ""         "                   -graf=3 colrer.paraplot"
testeo 18 "$DIR" "XX/tests/colectorsimple2.paraplot colectorsimple2.simul "       "XX/tests" "-noclas            -graf=2 XX/tests/colectorsimple2.paraplot"
testeo 19 "$DIR" "XX/tests/colectorsimple2.paraplot colectorsimple2.simul "       "XX/tests" "                   -graf=2 XX/tests/colectorsimple2.paraplot"
testeo 20 "$DIR" ""                                                               ""         "                   -graf=2 .."
testeo 21 "$DIR" ""                                                               ""         "-noclas            -graf=2 .."
testeo 22 "$DIR" ""                                                               ""         "-noclas -outdir=XX -graf=2 .."
testeo 23 "$DIR" ""                                                               ""         "        -outdir=XX -graf=2 .."
testeo 24 "$DIR" "tanque.simul tanque.caj  tanque.tvar"                           ""         "        -outdir=XX -graf=2 tanque.caj"
testeo 25 "$DIR" "tanque.simul"                                                   ""         "        -outdir=XX -graf=2 tanque.simul"
testeo 26 "$DIR" "tanque.simul tanque.paraplot"                                   ""         "        -outdir=XX -graf=2 tanque.paraplot"
testeo 27 "$DIR" "tanque.simul tanque.hashplot"                                   ""         "        -outdir=XX -graf=2 tanque.hashplot"
testeo 28 "$DIR" "tanque.simul tanque.gra tanque_graf*.gnu"                                   ""         "        -outdir=XX -graf=3 tanque.gra"
testeo 29 "$DIR" "tanque.simul tanque.gra tanque_graf*.gnu"                                   ""         "  -noclas      -outdir=XX -graf=3 tanque.gra"
# ojo que con clas no toma ./tanque.gra sino gra/tanque.gra
testeo 30 "$DIR" "tanque.simul tanque.gra tanque_graf*.gnu"                                   ""         "  -noclas      -outdir=XX -graf=3 ./tanque.gra"
testeo 31 "$DIR" "tanque_dur.simul  tanque_dur.simul tanque_dur.hashplot"                                   ""         "  -noclas      -outdir=XX -graf=3 ./tanque_dur.hashplot"
testeo 32 "$DIR" "tanque_dur.simul  results/tanque_dur_1.simul  results/tanque_dur_2.simul tanque_dur.caj"              "results"         "  -noclas      -outdir=XX -graf=3 ./tanque_dur.caj"
testeo 33 "$DIR" "opa.txt "              ""         "-graf=3 ./opa.txt"
testeo 34 "$DIR" "opa.simul opa.ds "     ""         "-graf=3 ./opa.ds"
testeo 35 "$DIR" "opa2.simul opa2.ds "   ""         "-graf=3 ./opa2.ds"
testeo 36 "$DIR" "opa3.simul opa3.ds "   ""         "-graf=3 ./opa3.ds"
testeo 37 "$DIR" "opa4.simul opa4.ds "   ""         "-graf=3 ./opa4.ds"
testeo 38 "$DIR" "opa.simul opa5.ds "   ""         "-graf=3 ./opa5.ds"
testeo 38 "$DIR" "opa.simul opa6.ds "   ""         "-graf=3 ./opa6.ds"

exit;




#.gra
#.hashplot


# en tests/pruebaz, el simul puede estar en tests o en results y debe ser capaz de encontrarlo




